# 2025-02-18: Cart Service - deprecated field

## Overview

When applying discount on a cart, the request allows to specify `calculationType` with following values: `ApplyDiscountBeforeTax`, `ApplyDiscountAfterTax` The field has been deprecated, cart's calculatedPrice relays on site's configuration `includesTax` which defines whether the discount should be applied on net or gross prices.

## Updated endpoints

| Endpoint                                                                                                                                                            | Description                                    |
| ------------------------------------------------------------------------------------------------------------------------------------------------------------------- | ---------------------------------------------- |
| [Applying a discount to cart](https://developer.emporix.io/api-references/api-guides/checkout/cart/api-reference/discounts#post-cart-tenant-carts-cartid-discounts) | Deprecated request attribute `calculationType` |

## Known problems

There are no known problems.


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://developer.emporix.io/changelog/archive/changelog-2025/2025-02-18-cart-d.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
